/// <reference types="node" />
import { ethers } from 'ethers';
import { Buffer } from 'buffer';
import { NitroSigner } from '@cerc-io/nitro-util';
export declare class Signature {
    r: Buffer | null;
    s: Buffer | null;
    v: number;
    constructor(params: {
        r?: Buffer | null;
        s?: Buffer | null;
        v?: number;
    });
    static fromJSON(data: string): Signature;
    toJSON(): any;
    toHexString(): string;
    equal(s: Signature): boolean;
}
export declare const signEthereumMessage: (message: Buffer, signer: NitroSigner) => Promise<Signature>;
export declare const recoverEthereumMessageSigner: (message: Buffer, signature: Signature) => string;
export declare const getSignatureFromEthersSignature: (sig: ethers.Signature) => Signature;
