import { VoucherManager } from '../../payments/voucher-manager';
import { Store } from '../engine/store/store';
import { PaymentChannelListeners, LedgerChannelListeners } from './listeners';
import { SafeSyncMap } from '../../internal/safesync/safesync';
import { LedgerChannelInfo, PaymentChannelInfo } from '../query/types';
import { Destination } from '../../types/destination';
export declare class ChannelNotifier {
    private ledgerListeners?;
    private paymentListeners?;
    private store?;
    private vm?;
    constructor(params: {
        ledgerListeners: SafeSyncMap<LedgerChannelListeners>;
        paymentListeners: SafeSyncMap<PaymentChannelListeners>;
        store: Store;
        vm: VoucherManager;
    });
    static newChannelNotifier(store: Store, vm: VoucherManager): ChannelNotifier;
    registerForAllLedgerUpdates(): Promise<import("@cerc-io/ts-channel").ReadWriteChannel<LedgerChannelInfo>>;
    registerForLedgerUpdates(cId: Destination): Promise<import("@cerc-io/ts-channel").ReadWriteChannel<LedgerChannelInfo>>;
    registerForAllPaymentUpdates(): Promise<import("@cerc-io/ts-channel").ReadWriteChannel<PaymentChannelInfo>>;
    registerForPaymentChannelUpdates(cId: Destination): Promise<import("@cerc-io/ts-channel").ReadWriteChannel<PaymentChannelInfo>>;
    notifyLedgerUpdated(info: LedgerChannelInfo): void;
    notifyPaymentUpdated(info: PaymentChannelInfo): void;
    close(): Promise<void>;
}
