import { FieldDescription } from '@cerc-io/nitro-util';
import { Address } from '../../types/types';
import { Destination } from '../../types/destination';
export declare enum ChannelStatus {
    Proposed = "Proposed",
    Open = "Open",
    Closing = "Closing",
    Complete = "Complete"
}
export declare class PaymentChannelBalance {
    assetAddress: Address;
    payee: Address;
    payer: Address;
    paidSoFar?: bigint;
    remainingFunds?: bigint;
    static jsonEncodingMap: Record<string, FieldDescription>;
    toJSON(): any;
    constructor(params: {
        assetAddress?: Address;
        payee?: Address;
        payer?: Address;
        paidSoFar?: bigint;
        remainingFunds?: bigint;
    });
    equal(other: PaymentChannelBalance): boolean;
}
export declare class PaymentChannelInfo {
    iD: Destination;
    status: ChannelStatus;
    balance: PaymentChannelBalance;
    static jsonEncodingMap: Record<string, FieldDescription>;
    toJSON(): any;
    constructor(params: {
        iD?: Destination;
        status?: ChannelStatus;
        balance?: PaymentChannelBalance;
    });
    equal(other: PaymentChannelInfo): boolean;
}
export declare class LedgerChannelBalance {
    assetAddress: Address;
    me: Address;
    them: Address;
    myBalance?: bigint;
    theirBalance?: bigint;
    static jsonEncodingMap: Record<string, FieldDescription>;
    toJSON(): any;
    constructor(params: {
        assetAddress?: Address;
        me?: Address;
        them?: Address;
        myBalance?: bigint;
        theirBalance?: bigint;
    });
    equal(other: LedgerChannelBalance): boolean;
}
export declare class LedgerChannelInfo {
    iD: Destination;
    status: ChannelStatus;
    balance: LedgerChannelBalance;
    static jsonEncodingMap: Record<string, FieldDescription>;
    toJSON(): any;
    constructor(params: {
        iD?: Destination;
        status?: ChannelStatus;
        balance?: LedgerChannelBalance;
    });
    equal(other: LedgerChannelInfo): boolean;
}
